com.holonplatform.vaadin.components.builders

## Interface ItemListingBuilder.ListingHeaderRow<P>

- Type Parameters:
    `P` - Item property type
  All Superinterfaces:
    Serializable
  Enclosing interface:
    ItemListingBuilder<T,P,C extends ItemListing<T,P>,B extends ItemListingBuilder<T,P,C,B,X>,X extends com.vaadin.ui.Component>

      public static interface ItemListingBuilder.ListingHeaderRow<P>
      extends Serializable

  A header row in a `ItemListing`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.vaadin.ui.components.grid.HeaderCell` | `getCell(P propertyId)` Returns the cell on this row corresponding to the given property id.
    `Collection<? extends com.vaadin.ui.Component>` | `getComponents()` Gets a collection of all components inside this row.
    `String` | `getStyleName()` Returns the custom style name for this row.
    `com.vaadin.ui.components.grid.HeaderCell` | `join(com.vaadin.ui.components.grid.HeaderCell... cellsToMerge)` Merges column cells in the row.
    `com.vaadin.ui.components.grid.HeaderCell` | `join(P... propertyIdsToMerge)` Merges cells corresponding to the given property ids in the row.
    `com.vaadin.ui.components.grid.HeaderCell` | `join(Set<com.vaadin.ui.components.grid.HeaderCell> cellsToMerge)` Merges column cells in the row.
    `void` | `setStyleName(String styleName)` Sets a custom style name for this row.

- - ### Method Detail

    - #### getCell

          com.vaadin.ui.components.grid.HeaderCell getCell(P propertyId)

      Returns the cell on this row corresponding to the given property id.
      Parameters:
        `propertyId` - the id of the property/column whose header cell to get, not null
      Returns:
        the header cell
      Throws:
        `IllegalArgumentException` - if there is no such column in the grid

    - #### join

          com.vaadin.ui.components.grid.HeaderCell join(P... propertyIdsToMerge)

      Merges cells corresponding to the given property ids in the row. Original cells are hidden, and new merged cell is shown instead. The cell has a width of all merged cells together, inherits styles of the first merged cell but has empty caption.
      Parameters:
        `propertyIdsToMerge` - the ids of the property/column of the cells that should be merged. The cells should not be merged to any other cell set.
      Returns:
        the remaining visible cell after the merge

    - #### join

          com.vaadin.ui.components.grid.HeaderCell join(Set<com.vaadin.ui.components.grid.HeaderCell> cellsToMerge)

      Merges column cells in the row. Original cells are hidden, and new merged cell is shown instead. The cell has a width of all merged cells together, inherits styles of the first merged cell but has empty caption.
      Parameters:
        `cellsToMerge` - the cells which should be merged. The cells should not be merged to any other cell set.
      Returns:
        the remaining visible cell after the merge

    - #### join

          com.vaadin.ui.components.grid.HeaderCell join(com.vaadin.ui.components.grid.HeaderCell... cellsToMerge)

      Merges column cells in the row. Original cells are hidden, and new merged cell is shown instead. The cell has a width of all merged cells together, inherits styles of the first merged cell but has empty caption.
      Parameters:
        `cellsToMerge` - the cells which should be merged. The cells should not be merged to any other cell set.
      Returns:
        the remaining visible cell after the merge

    - #### getStyleName

          String getStyleName()

      Returns the custom style name for this row.
      Returns:
        the style name or null if no style name has been set

    - #### setStyleName

          void setStyleName(String styleName)

      Sets a custom style name for this row.
      Parameters:
        `styleName` - the style name to set or null to not use any style name

    - #### getComponents

          Collection<? extends com.vaadin.ui.Component> getComponents()

      Gets a collection of all components inside this row.

      The order of the components in the returned collection is not specified.

      Returns:
        a collection of components in the row

Copyright © 2017 The Holon Platform. All rights reserved.